%define framework %(echo %name | sed "s|^kf6-||")
%define majver %(echo %version | cut -d. -f1-2)

Name:          kf6-ktexttemplate
Version:       6.13.0
Release:       1mamba
Summary:       Library to allow application developers to separate the structure of documents from the data they contain
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://invent.kde.org/frameworks/ktexttemplate
Source:        https://download.kde.org/stable/frameworks/%{majver}/ktexttemplate-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt6Core
BuildRequires: libQt6Network
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
BuildRequires: qt6-qtdeclarative-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: kf6-rpm-macros
BuildRequires: extra-cmake-modules
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Library to allow application developers to separate the structure of documents from the data they contain.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Library to allow application developers to separate the structure of documents from the data they contain.

%description -n lib%{name}
Library to allow application developers to separate the structure of documents from the data they contain.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%prep
%setup -q -n ktexttemplate-%{version}

%build
%cmake_kf6

%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libKF6TextTemplate.so.*
%dir %{_kf6_plugindir}/ktexttemplate
%{_kf6_plugindir}/ktexttemplate/ktexttemplate_*.so
%doc COPYING.LIB LICENSES

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_kf6_includedir}/KTextTemplate
%{_kf6_includedir}/KTextTemplate/*
%{_libdir}/libKF6TextTemplate.so
%dir %{_libdir}/cmake/KF6TextTemplate
%{_libdir}/cmake/KF6TextTemplate/KF6TextTemplate*.cmake
%{_datadir}/qlogging-categories6/ktexttemplate.categories
%{_qt6_docdir}/KF6TextTemplate.*

%changelog
* Sat Apr 12 2025 Automatic Build System <autodist@openmamba.org> 6.13.0-1mamba
- automatic version update by autodist

* Sat Mar 15 2025 Automatic Build System <autodist@openmamba.org> 6.12.0-1mamba
- automatic version update by autodist

* Sat Feb 15 2025 Automatic Build System <autodist@openmamba.org> 6.11.0-1mamba
- automatic version update by autodist

* Sat Jan 11 2025 Automatic Build System <autodist@openmamba.org> 6.10.0-1mamba
- automatic version update by autodist

* Sat Dec 14 2024 Automatic Build System <autodist@openmamba.org> 6.9.0-1mamba
- automatic version update by autodist

* Sat Nov 09 2024 Automatic Build System <autodist@openmamba.org> 6.8.0-1mamba
- automatic version update by autodist

* Sat Oct 12 2024 Automatic Build System <autodist@openmamba.org> 6.7.0-1mamba
- automatic version update by autodist

* Sat Sep 14 2024 Automatic Build System <autodist@openmamba.org> 6.6.0-1mamba
- automatic version update by autodist

* Sat Aug 10 2024 Automatic Build System <autodist@openmamba.org> 6.5.0-1mamba
- automatic version update by autodist

* Fri Jul 12 2024 Automatic Build System <autodist@openmamba.org> 6.4.0-1mamba
- automatic version update by autodist

* Sat Jun 08 2024 Automatic Build System <autodist@openmamba.org> 6.3.0-1mamba
- automatic version update by autodist

* Sun May 12 2024 Automatic Build System <autodist@openmamba.org> 6.2.0-1mamba
- automatic version update by autodist

* Sat Apr 13 2024 Automatic Build System <autodist@openmamba.org> 6.1.0-1mamba
- automatic version update by autodist

* Sat Mar 09 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 6.0.0-1mamba
- package created using the webbuild interface
